#!/bin/bash

echo "building docker image"

tag="$REGISTRY/$SERVICE:$COMMIT_SHA"

if [[ -n $DEBUG ]] 
then
  echo "debug:"
  echo "  REGISTRY: $REGISTRY"
  echo "  SERVICE: $SERVICE"
  echo "  COMMIT_SHA: $COMMIT_SHA"
  echo "  TMP: $TMP"
fi

docker build -t "$tag" -f "$TMP/build_release.Dockerfile" .
